Summary: PHP/FI - a powerful apache module
Name: mod_php
Version: 2.0.1
Release: 5
Group: Networking/Daemons
Source0: http://www.vex.net/files/php-2.0.1.tar.gz
Source1: php-2.0.1-std.config
Patch1: php-2.0.1-dynamic.patch
Patch2: php-2.0.1-rh.patch
Copyright: GPL
BuildRoot: /tmp/php-root
Requires: webserver

%description
PHP is a powerful apache module that adds scripting and database connection
capabilities to the apache server. 

%prep
%setup -q -n php-2.0.1
%patch1 -p1 -b .dynamic
%patch2 -p1 -b .rh

%build
autoconf
# this is gross
cat $RPM_SOURCE_DIR/php-2.0.1-std.config | grep -v "^#" | \
        CFLAGS="$RPM_OPT_FLAGS" ./install
cd src; make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
/usr/bin/install -m 755 src/mod_php.so $RPM_BUILD_ROOT/usr/lib/apache

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- recompiled for apache-1.3.3

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- Updates for Apache 1.3.x
- made configure look for gdbm again
- name changed back to mod_php from php2.

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to compile it as a shared object for the apache/ssl (and
  future revisions of apache)

%files
/usr/lib/apache/mod_php.so
%doc doc/* README examples
